************
* PCSYMENU *
************
* Deze programma's vervullen funkties die belangrijk zijn voor het hele
* PACS-systeem, of niet zijn onder te brengen onder een ander menu.
*
STORE "-" TO choice
DO WHILE choice # "E"
   ERASE
   @  1,10 SAY "--READER'S DIGEST PRODUCTION ADMINISTRATION CONTROL SYSTEM--"
   @  2,10 SAY "---------------------- SYSTEEMFUNKTIES ---------------------"
   @  4, 0 SAY "PRODUKTIENUMMER"
   IF cur:prod = "*"
      @ 4,16 SAY "GEEN"
   ELSE
      @  4,16 SAY $(cur:prod,1,2) + "/" + $(cur:prod,3,5)
   ENDIF
   @  7, 8 SAY "U KUNT KIEZEN UIT EEN AANTAL FUNKTIES VOOR HET ONDERHOUD VAN HET"
   @  8, 8 SAY "SYSTEEM. LET OP : SOMMIGE FUNKTIES KUNNEN INGRIJPEND WERKEN !!!"
   @ 10,25 SAY "1- WIJZIGEN SYSTEEMDATUM"
   @ 11,25 SAY "2- INSTELLEN VAN DE PRINTER"
   @ 12,25 SAY "3- INFO OVER PACS-BESTANDEN"
   @ 13,25 SAY "4- PRODUCTLINE OMSCHRIJVINGEN"
   @ 14,25 SAY "5- CONTROLEREN PACS-BESTANDEN"
   @ 15,25 SAY "6- OPZETTEN PACS-BESTANDEN"
   @ 16,25 SAY "7-"
   @ 17,25 SAY "8-"
   @ 18,25 SAY "9-"
   @ 19,25 SAY "E- EINDE"
   @ 21,28 SAY "UW KEUZE SVP :.:"
   @ 22,58 SAY "HUIDIGE DATUM"
   @ 22,72 SAY sysdate
   DO WHILE .NOT. (choice $ "123456789E")
      STORE "." TO choice
      @ 21,41 GET choice PICTURE "!"
      READ
      CLEAR GETS  
   ENDDO
   IF choice # "E"
      @  7,0
      @  8,0
      @  9,0
      @ 10,0
      @ 11,0
      @ 12,0
      @ 13,0
      @ 14,0
      @ 15,0
      @ 16,0
      @ 17,0
      @ 18,0
      @ 19,0
      @ 20,0
      @ 21,0
      DO CASE 
         CASE choice = "1"
              DO pcsysd  
              STORE "-" TO choice
         CASE choice = "2"
              DO pcsysp  
              STORE "-" TO choice
         CASE choice = "3"
              DO pcsyfi  
              STORE "-"TO choice
         CASE choice = "4"
              DO pcsypl  
              STORE "-" TO choice
         CASE choice = "5"
              DO pcsyfr 
              STORE "-" TO choice
         CASE choice = "6"
              STORE F TO start:up
              DO pcsyss 
              STORE "-" TO choice
         CASE choice = "7"
         *    DO pcsypr7
              STORE "-" TO choice
         CASE choice = "8"
         *    DO pcsypr8
              STORE "-" TO choice
         CASE choice = "9"
         *    DO pcsypr9
              STORE "-" TO choice
      ENDCASE
   ENDIF
ENDDO
RETURN
*
* EINDE PROGRAMMA
*
